<?php
/* List Block */
if(!class_exists('ST_Aboutus_Block')) {
class ST_Aboutus_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
		'name' => '<i class="fa fa-user-md"></i> About Us',
		'size' => 'col-md-12',
	);
	
	//create the widget
	parent::__construct('st_aboutus_block', $block_options);
	
	//add ajax functions
	add_action('wp_ajax_aq_block_checkbtn5_add_new', array($this, 'add_checkbtn_btn'));
	}
	
	function form($instance) {
	
		$defaults = array(
			'title' => 'Title',
            'desc'  => '',
            'column' => '4',
            'shortbtns' => array(
	            1 => array(
		            'title' => 'New About Us',
                    'description' => '',
                    'job' => '',
                    'photo' => '',
                    'icon1' => '',
                    'icon2' => '',
                    'icon3' => '',
                    'icon4' => '',
					'link1' => '',
					'link2' => '',
					'link3' => '',
					'link4' => '',					
	            )
            ),
            
		);      
        $column_options = array (
            '3' => 'Three',
            '4' => 'Four',
            '6' => 'Six',
		); 
	$instance = wp_parse_args($instance, $defaults);
	extract($instance);
	
	?>
	
	<div class="description">
		<label for="<?php echo $this->get_field_id('title') ?>">
			Title
			<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
		</label>
	</div>
	<div class="description">
		<label for="<?php echo $this->get_field_id('desc') ?>">
			Description:
			<?php echo aq_field_textarea('desc', $block_id, $desc, $size = 'full') ?>
		</label>
	</div>
    <div class="description third">
		<label for="<?php echo $this->get_field_id('column') ?>">
			Column<br/><em style="font-size: 0.8em;">Chosen column(3,4,6)</em><br/>
			<?php echo aq_field_select('column', $block_id, $column_options, $column, $size = 'full') ?>
		</label>
   	</div>
	<div class="cf"></div>
	<h3 style="text-align: center;">Add Your About Us</h3>
	<div class="description cf">
	    <ul id="aq-sortable-list-<?php echo $block_id ?>" class="aq-sortable-list" rel="<?php echo $block_id ?>">
		    <?php
			    $shortbtns = is_array($shortbtns) ? $shortbtns : $defaults['shortbtns'];
			    $count = 1;
			    foreach($shortbtns as $shortbtn) {	
				    $this->shortbtn($shortbtn, $count);
				    $count++;
			    }
		    ?>
	    </ul>
	    <p></p>
	    	<a href="#" rel="checkbtn5" class="aq-sortable-add-new button">Add New Btn</a>
	    <p></p>
    </div>
    
	<?php
	}
	function shortbtn($shortbtn = array(), $count = 0) {

?>
	<li id="sortable-shortbtn-<?php echo $count ?>" class="sortable-item" rel="<?php echo $count ?>">
		<div class="sortable-head cf">
			<div class="sortable-title">
				<strong><?php echo $shortbtn['title'] ?></strong>
			</div>
			<div class="sortable-handle">
				<a href="#">Open / Close</a>
			</div>
		</div>
	<div class="sortable-body">
	<div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-title">
			Title<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-title" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][title]" value="<?php echo $shortbtn['title'] ?>" />
		</label>
	</div>
    <div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-description">
			Description<br/>
	<textarea id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-description" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][description]" value="<?php echo $shortbtn['description'] ?>" ><?php echo $shortbtn['description'] ?></textarea>
		</label>
	</div>
    <div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-job">
			Your Job<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-job" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][job]" value="<?php echo $shortbtn['job'] ?>" />
		</label>
	</div>
    <div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-photo">
			Photo <em style="font-size: 0.8em;">(Recommended size: 286 x 286 pixel)</em><br/>
			<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-photo" class="input-full input-upload" value="<?php echo $shortbtn['photo'] ?>" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][photo]">
			<a href="#" class="aq_upload_button button" rel="image">Upload</a><p></p>
		</label>
	</div>
    <div class="sortable cf">
    <div class="tab-desc description fourth">
      <label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon1">
       Icon class one <br/><code>Ex: globe</code><a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/"> view more icon </a><br/>
       <input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon1" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][icon1]" value="<?php echo $shortbtn['icon1'] ?>" />
      </label>
    </div>
    
    <div class="tab-desc description fourth">
      <label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon2">
       Icon class two<br/><code>Ex: globe</code><a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/"> view more icon </a><br/>
       <input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon2" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][icon2]" value="<?php echo $shortbtn['icon2'] ?>" />
      </label>
    </div>
    
    <div class="tab-desc description fourth">
      <label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon3">
       Icon class three<br/><code>Ex: globe</code><a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/"> view more icon </a><br/>
       <input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon3" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][icon3]" value="<?php echo $shortbtn['icon3'] ?>" />
      </label>
    </div>
    
    <div class="tab-desc description fourth last">
      <label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon4">
       Icon class four<br/><code>Ex: globe</code><a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/"> view more icon </a><br/>
       <input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon4" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][icon4]" value="<?php echo $shortbtn['icon4'] ?>" />
      </label>
    </div>
    </div>
	<div class="sortable cf">
    <div class="tab-desc description fourth">
      <label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-link1">
       Link Social one <br/>
       <input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-link1" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][link1]" value="<?php echo $shortbtn['link1'] ?>" />
      </label>
    </div>
	
	<div class="tab-desc description fourth">
      <label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-link2">
       Link Social two <br/>
       <input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-link2" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][link2]" value="<?php echo $shortbtn['link2'] ?>" />
      </label>
    </div>
	
	<div class="tab-desc description fourth">
      <label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-link3">
       Link Social three <br/>
       <input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-link3" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][link3]" value="<?php echo $shortbtn['link3'] ?>" />
      </label>
    </div>
	
	<div class="tab-desc description fourth last">
      <label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-link4">
       Link Social four <br/>
       <input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-link4" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][link4]" value="<?php echo $shortbtn['link4'] ?>" />
      </label>
    </div>
    
    </div>
	<p class="tab-desc description"><a href="#" class="sortable-delete">Delete</a></p>
	</div>
	</li>

  <?php  
    }
		
    function add_checkbtn_btn() {
		$nonce = $_POST['security'];	
		if (! wp_verify_nonce($nonce, 'aqpb-settings-page-nonce') ) die('-1');
		
		$count = isset($_POST['count']) ? absint($_POST['count']) : false;
		$this->block_id = isset($_POST['block_id']) ? $_POST['block_id'] : 'aq-block-9999';
		
		//default key/value for the testimonial
		$shortbtn = array(
			'title' => 'New About Us',
            'description' => '',
            'job' => '',
            'photo' => '',
            'icon1' => '',
            'icon2' => '',
            'icon3' => '',
            'icon4' => '',  
			'link1' => '',
			'link2' => '',
			'link3' => '',
			'link4' => '',		
		);
		
		if($count) {
			$this->shortbtn($shortbtn, $count);
		} else {
			die(-1);
		}
		
		die();
		}
	function block($instance) {
	extract($instance);
    ?>
	   <!-- ABOUT US -->

    <section id="g-about">
        <div class="container">
            <h1 class="main-title"><?php echo htmlspecialchars_decode($title); ?></h1>
            <p class="main-title-description"><?php echo htmlspecialchars_decode($desc); ?></p>
            <div class="row about-social">
            <?php if(!empty($shortbtns)){
                $i=1;
                    foreach($shortbtns as $shortbtn){
                        if($shortbtn['photo'] != ''){
                ?>
                <?php if($column=='3'){?>
                <div class="col-lg-4 col-sm-6 col-sm-offset-0 col-xs-10 col-xs-offset-1" style="<?php if($i%3==1){echo 'clear:both';}?>" >
                <?php }elseif($column=='4'){?>
                <div class="col-lg-3 col-sm-6 col-sm-offset-0 col-xs-10 col-xs-offset-1" style="<?php if($i%4==1){echo 'clear:both';}?>">
                <?php }elseif($column=='6'){?>
                <div class="col-lg-2 col-sm-6 col-sm-offset-0 col-xs-10 col-xs-offset-1" style="<?php if($i%6==1){echo 'clear:both';}?>">
                <?php }?>
                
                    <h3><strong><?php echo $shortbtn['title']; ?></strong></h3>
                    <div class="separator-theme-color"></div>
                    <div class="about-social svg-animation">
                        <div class="svg-hover" data-path-hover="M 0,160 10,160 30,81 10,0 0,0 z">
                            <figure>
                            <?php $params = array( 'width' => 263, 'height' => 156 );
							$image = bfi_thumb( $shortbtn['photo'], $params ); ?>
                                <img src="<?php echo $image; ?>" alt="..." style="width: 263px; height: 156px;"/>
                                <svg viewBox="0 0 270 160" preserveAspectRatio="none"><path d="M 0 160 L 0 160 L 0 80 L 0 0 L 0 0 L 0 0 z "/></svg>
                                <figcaption>
                                    <ul class="about-social-icons">
                                    <?php if($shortbtn['icon1'] != ''){ ?>
                                        <li class="social-1st">
                                            <a href="<?php echo esc_url($shortbtn['link1']); ?>">
                                                <span class="fa-stack fa-lg visible-lg">
                                                    <i class="fa fa-circle fa-stack-2x"></i>
                                                    <i class="fa <?php echo $shortbtn['icon1']; ?> fa-stack-1x fa-inverse"></i>
                                                </span>
                                                <span class="fa-stack fa-2x hidden-lg">
                                                    <i class="fa fa-circle fa-stack-2x"></i>
                                                    <i class="fa <?php echo $shortbtn['icon1']; ?> fa-stack-1x fa-inverse"></i>
                                                </span>
                                            </a>
                                        </li>
                                        <?php }else{}?>
                                        <?php if($shortbtn['icon2'] != ''){ ?>
                                        <li class="social-2nd">
                                            <a href="<?php echo esc_url($shortbtn['link2']); ?>">
                                                <span class="fa-stack fa-lg visible-lg">
                                                    <i class="fa fa-circle fa-stack-2x"></i>
                                                    <i class="fa <?php echo $shortbtn['icon2']; ?> fa-stack-1x fa-inverse"></i>
                                                </span>
                                                <span class="fa-stack fa-2x hidden-lg">
                                                    <i class="fa fa-circle fa-stack-2x"></i>
                                                    <i class="fa <?php echo $shortbtn['icon2']; ?> fa-stack-1x fa-inverse"></i>
                                                </span>
                                            </a>
                                        </li>
                                        <?php }else{}?>
                                        <?php if($shortbtn['icon3'] != ''){ ?>
                                        <li class="social-3rd">
                                            <a href="<?php echo esc_url($shortbtn['link3']); ?>">
                                                <span class="fa-stack fa-lg visible-lg">
                                                    <i class="fa fa-circle fa-stack-2x"></i>
                                                    <i class="fa <?php echo $shortbtn['icon3']; ?> fa-stack-1x fa-inverse"></i>
                                                </span>
                                                <span class="fa-stack fa-2x hidden-lg">
                                                    <i class="fa fa-circle fa-stack-2x"></i>
                                                    <i class="fa <?php echo $shortbtn['icon3']; ?> fa-stack-1x fa-inverse"></i>
                                                </span>
                                            </a>
                                        </li>
                                        <?php }else{}?>
                                        <?php if($shortbtn['icon4'] != ''){ ?>
                                        <li class="social-4th">
                                            <a href="<?php echo esc_url($shortbtn['link4']); ?>">
                                                <span class="fa-stack fa-lg visible-lg">
                                                    <i class="fa fa-circle fa-stack-2x"></i>
                                                    <i class="fa <?php echo $shortbtn['icon4']; ?> fa-stack-1x fa-inverse"></i>
                                                </span>
                                                <span class="fa-stack fa-2x hidden-lg">
                                                    <i class="fa fa-circle fa-stack-2x"></i>
                                                    <i class="fa <?php echo $shortbtn['icon4']; ?> fa-stack-1x fa-inverse"></i>
                                                </span>
                                            </a>
                                        </li>
                                        <?php }else{}?>
                                    </ul>
                                </figcaption>
                            </figure>
                        </div>
                    </div>
                    <h4 class="text-theme-color"><?php echo $shortbtn['job']; ?></h4>
                    <p><?php echo htmlspecialchars_decode($shortbtn['description']); ?></p>
                </div>
               <?php if($i==2){
                echo '<div class="clearfix visible-sm visible-md"></div>';
               }
                        }$i++;
                    }
                }
             ?>  
            </div>
        </div>
    </section>

<!-- ABOUT US -->
    <?php 
    }
	
	/* AJAX add testimonial */
	
	function update($new_instance, $old_instance) {
		$new_instance = aq_recursive_sanitize($new_instance);
		return $new_instance;
	}
}
}