<?php
/* List Block */
if(!class_exists('ST_Client_Block')) {
class ST_Client_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
		'name' => '<i class="fa fa-cogs"></i> Client',
		'size' => 'col-md-12',
	);
	
	//create the widget
	parent::__construct('st_client_block', $block_options);
	
	//add ajax functions
	add_action('wp_ajax_aq_block_client_add_new', array($this, 'add_client_item'));
	}
	
   function form($instance){
        $defaults = array(
            'title' => '', 
			'subtitle' =>'',
            'column' => '4',        
            'items' => array(
	            1 => array(
		            'title' => 'New Client',
                    'photo'=>'',
	            )
            ),
			
        );
        $instance = wp_parse_args($instance, $defaults);
        extract($instance);
              $column_options = array (
            '3' => 'Three',
            '4' => 'Four',
            '6' => 'Six',
		);
	?>
    <h3 style="text-align: center;">Our Client</h3>
    <div class="description half">
        <label for="<?php echo $this->get_field_id('title') ?>">
        Title <br/><em style="font-size: 0.8em;">(Please enter title our client)</em><br/>
        <?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
        </label>
    </div>
    <div class="description half last">
		<label for="<?php echo $this->get_field_id('column') ?>">
			Column<br/><em style="font-size: 0.8em;">Chosen column(3,4,6)</em><br/>
			<?php echo aq_field_select('column', $block_id, $column_options, $column, $size = 'full') ?>
		</label>
   	</div>
	<div class="cf"></div>
	<div class="description">
        <label for="<?php echo $this->get_field_id('subtitle') ?>">
        Subtitle <br/><em style="font-size: 0.8em;">(Please enter sub title our team)</em><br/>
        <?php echo aq_field_textarea('subtitle', $block_id, $subtitle, $size = 'full') ?>
        </label>
    </div> 
    <div class="cf"></div>
    <h3 style="text-align: center;">Client</h3>
    <div class="description cf">
	    <ul id="aq-sortable-list-<?php echo $block_id ?>" class="aq-sortable-list" rel="<?php echo $block_id ?>">
		    <?php
			    $items = is_array($items) ? $items : $defaults['items'];
			    $count = 1;
			    foreach($items as $item) {	
				    $this->item($item, $count);
				    $count++;
			    }
		    ?>
	    </ul>
	    <p></p>
	    	<a href="#" rel="client" class="aq-sortable-add-new button">Add New</a>
	    <p></p>
    </div>
    <div class="cf"></div>
     
<?php
}

function item($item = array(), $count = 0) {

?> 
	<li id="sortable-item-<?php echo $count ?>" class="sortable-item" rel="<?php echo $count ?>">
		<div class="sortable-head cf">
			<div class="sortable-title">
				<strong><?php echo $item['title'] ?></strong>
			</div>
			<div class="sortable-handle">
				<a href="#">Open / Close</a>
			</div>
		</div>
	<div class="sortable-body">
	<div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-title">
			Name<br/><em style="font-size: 0.8em;">(Please enter name client)</em><br/>
	       <input type="text" id="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-title" class="input-full" name="<?php echo $this->get_field_name('items') ?>[<?php echo $count ?>][title]" value="<?php echo $item['title'] ?>" />
		</label>
	</div>
    <div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-photo">
			Photo <em style="font-size: 0.8em;">(Please chosen photo client)</em><br/>
			<input type="text" id="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-photo" class="input-full input-upload" value="<?php echo $item['photo'] ?>" name="<?php echo $this->get_field_name('items') ?>[<?php echo $count ?>][photo]">
			<a href="#" class="aq_upload_button button" rel="image">Upload</a><p></p>
		</label>
	</div>
    <div class="cf"></div>
	<p class="tab-desc description"><a href="#" class="sortable-delete">Delete</a></p>
	</div>
	</li>

  <?php  
    }

    
    function block($instance){
    extract($instance); 
    $title = (!empty($title) ? ''.esc_attr($title) : ''); 
    $subtitle = (!empty($subtitle) ? ''.esc_attr($subtitle) : '');
    ?>
 
     <section id="g-clients">
	    <div class="container">
			<h1 class="main-title"><?php echo htmlspecialchars_decode($title); ?></h1>
            <p class="main-title-description"><?php echo htmlspecialchars_decode($subtitle); ?></p>
            <div class="outside-controls-for-slider">
                <a class="outside-control-for-slider-left" href="#carousel-03" data-slide="prev"></a>
                <a class="outside-control-for-slider-right" href="#carousel-03" data-slide="next"></a>
            </div>
            <div id="carousel-03" class="carousel slide carousel-03" data-ride="carousel">
                <!-- Indicators -->
                <ol class="carousel-indicators">
                <?php $i=0;
                if (!empty($items)) {
			foreach( $items as $item ) {
			 $i++;
             }}
             $a = $i/$column;
             for($b=0;$b<$a;$b++){
                ?>
                <li data-target="#carousel-03" data-slide-to="<?php echo $b;?>" class="<?php if($b==0){echo 'active';}?>"></li>
                <?php
             }
             
                ?>
                </ol>

                <!-- Wrapper for slides -->
                <div class="carousel-inner text-center">
                <?php 
                $c =0;
                if (!empty($items)) {
					foreach( $items as $item ) {
						$c++;?>
						<?php if($c==1){?>
							<div class="item active">
								<div class="row">
								<?php }elseif($c%$column==1){ ?>
									<div class="item">
										<div class="row">
									   <?php }?>
									   <?php if($column == 4){?> 
											<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
									   <?php }elseif($column == 3){?>
											<div class="col-lg-4 col-md-4 col-sm-6 col-xs-12">
									   <?php }elseif($column == 6){?>
											<div class="col-lg-2 col-md-2 col-sm-6 col-xs-12">
									   <?php }?>
												<img src="<?php echo esc_url($item['photo']);?>" alt="...">
											</div>
										<?php if($c==$i || $c%$column==0){ ?>
											 </div>
										 </div>
										<?php }?>
									<?php }}?>
						 </div>
			</div>			 
        </section>
        <?php  
		    }
		/* AJAX add testimonial */
		function add_client_item() {
		$nonce = $_POST['security'];	
		if (! wp_verify_nonce($nonce, 'aqpb-settings-page-nonce') ) die('-1');
		
		$count = isset($_POST['count']) ? absint($_POST['count']) : false;
		$this->block_id = isset($_POST['block_id']) ? $_POST['block_id'] : 'aq-block-9999';
		
		//default key/value for the testimonial
		$item = array(
                     'title' => 'New Client',
                    'photo'=>'',
		);
		
		if($count) {
			$this->item($item, $count);
		} else {
			die(-1);
		}
		
		die();
		}
       	
		function update($new_instance, $old_instance) {
			$new_instance = aq_recursive_sanitize($new_instance);
			return $new_instance;
		}
}
}