<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>
<?php $textdoimain = 'goddess'; ?>

<!-- COMMENTS -->
            <h1 class="main-title topic-title">
                <span>Comments</span>
                <div class="topic-title-comments"><?php comments_number( __('0 Comments', $textdoimain), __('1 Comments', $textdoimain), __('% Comments', $textdoimain) ); ?></div>
            </h1>
        <?php if (comments_open()) { ?>
        <!-- LEAVE A COMMENT -->
        <div class="row">
                <div class="col-lg-6 col-lg-offset-3 col-md-6 col-md-offset-3 col-xs-10 col-xs-offset-1 text-center">
                    <button id="show-add-comment" type="button" class="btn btn-primary show-add-comment">Add Comment</button>
                    <button id="hide-add-comment" type="button" class="btn btn-default hide-add-comment">Cancel</button>
                    
                    <?php
        if ( is_singular() ) wp_enqueue_script( "comment-reply" );
            $aria_req = ( $req ? " aria-required='true'" : '' );
            $comment_args = array(
                    'id_form' => 'comment_form',                              
                    'title_reply'=> '',
                    'fields' => apply_filters( 'comment_form_default_fields', array(
                        'author' => '<div class="form-group"><input type="text" name="author" id="comments_form_name" class="form-control" placeholder="Enter your name"/></div>',   
                        'email' => '<div class="form-group"><input type="text" name="email" id="comments_form_email" class="form-control" placeholder="Email"/></div>',
                    ) ),                                
                     'comment_field' => '<div class="form-group"><textarea class="form-control" name="comment"'.$aria_req.' rows="5" placeholder="Enter your message"></textarea></div>',
                                                                           
                     'label_submit' => 'SUBMIT',
                     'comment_notes_before' => '',
                     'comment_notes_after' => '',
                     
            )
        ?>
        <?php comment_form($comment_args); ?>
                    
                </div>
            </div>
        <?php }else {}?>
<?php if ( have_comments() ) : ?>    
            
        
            <div class="row">
                <div class="col-lg-12">
                    <ul class="comments">
                <?php wp_list_comments('callback=goddess_theme_comment'); ?>
                      </ul>
                </div>
            </div>
            <?php
                // Are there comments to navigate through?
                if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
            ?>
                <nav class="navigation comment-navigation" role="navigation">
                    
                    <div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'goddess' ) ); ?></div>
                    <div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'goddess' ) ); ?></div>
                </nav><!-- .comment-navigation -->
            <?php endif; // Check for comment navigation ?>

            <?php if ( ! comments_open() && get_comments_number() ) : ?>
                <p class="no-comments"><?php _e( 'Comments are closed.' , 'CNE' ); ?></p>
            <?php endif; ?>
        <?php endif; ?>
    <!-- End Comments -->
<!-- //COMMENTS -->                