<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<!-- Page Title 
	================================================== -->
	<title><?php bloginfo('name'); ?>  <?php is_front_page() ? bloginfo('description') : wp_title(''); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.png" type="image/png">
	
	<?php wp_head(); ?>
</head>

<body data-spy="scroll" data-target="#gn-menu" <?php body_class(); ?>>
<!-- NAVIGATION -->
    <!-- Main navigation -->
    <ul id="gn-menu" class="gn-menu-main text-center">
		<?php $prevPost = get_previous_post();	?>
        <?php if($prevPost!=''){?>
        <li><a href="<?php echo get_permalink( $prevPost->ID )?>" class="icon-nav" data-toggle="tooltip" data-placement="right" title="Previous topic - <?php echo $prevPost->post_title;?>" rel="tooltip"><i class="fa fa-angle-double-left fa-2x"></i></a><?php //previous_post_link('%link', $excluded_terms = '<i class="fa fa-angle-double-left fa-2x"></i>');?></li>
        <?php }?>
        <li class="mini-logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo"><span>GOD</span>DESS</a></li>
		<?php $nextPost = get_next_post();	?>
        <?php if($nextPost!=''){?>
        <li class="pull-right"><a href="<?php echo get_permalink( $nextPost->ID )?>" class="icon-nav" data-toggle="tooltip" data-placement="left" title="Next topic - <?php echo $nextPost->post_title;?>" rel="tooltip"><i class="fa fa-angle-double-right fa-2x"></i></a><?php //next_post_link('%link', $excluded_terms = '<i class="fa fa-angle-double-right fa-2x"></i>');?></li>
        <?php }?>    
    </ul>
<!-- NAVIGATION -->