<?php
/* List Block */
if(!class_exists('ST_Footer_Block')) {
class ST_Footer_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
		'name' => '<i class="fa fa-users"></i> Footer',
		'size' => 'col-md-12',
	);
	
	//create the widget
	parent::__construct('st_footer_block', $block_options);
	
	//add ajax functions
	add_action('wp_ajax_aq_block_checkbtn7_add_new', array($this, 'add_checkbtn_btn'));
	}
	
	function form($instance) {
	
		$defaults = array(
			'title1' => 'About Theme',
            'title2' => 'Follow Us',
            'desc'  => '',
            'button'  => '',
            'textlink' => '',
            'shortbtns' => array(
	            1 => array(
		            'title' => 'New Follow Us',
		            'icon' => '',
                    'link' => '',		  		
	            )
            ),
            
		);      
	$instance = wp_parse_args($instance, $defaults);
	extract($instance);
	
	?>
	
	<div class="description">
		<label for="<?php echo $this->get_field_id('title1') ?>">
			Title About Theme:
			<?php echo aq_field_input('title1', $block_id, $title1, $size = 'full') ?>
		</label>
	</div>
	<div class="description">
		<label for="<?php echo $this->get_field_id('desc') ?>">
			Description:
			<?php echo aq_field_textarea('desc', $block_id, $desc, $size = 'full') ?>
		</label>
	</div>
    <div class="description half">
		<label for="<?php echo $this->get_field_id('button') ?>">
			Text Button:
			<?php echo aq_field_input('button', $block_id, $button, $size = 'full') ?>
		</label>
	</div>
    <div class="description half last">
		<label for="<?php echo $this->get_field_id('textlink') ?>">
			Text Link:
			<?php echo aq_field_input('textlink', $block_id, $textlink, $size = 'full') ?>
		</label>
	</div>
	<div class="cf"></div>
    <div class="description">
		<label for="<?php echo $this->get_field_id('title2') ?>">
			Title Follow Us:
			<?php echo aq_field_input('title2', $block_id, $title2, $size = 'full') ?>
		</label>
	</div>
	<h3 style="text-align: center;">Add Your Features</h3>
	<div class="description cf">
	    <ul id="aq-sortable-list-<?php echo $block_id ?>" class="aq-sortable-list" rel="<?php echo $block_id ?>">
		    <?php
			    $shortbtns = is_array($shortbtns) ? $shortbtns : $defaults['shortbtns'];
			    $count = 1;
			    foreach($shortbtns as $shortbtn) {	
				    $this->shortbtn($shortbtn, $count);
				    $count++;
			    }
		    ?>
	    </ul>
	    <p></p>
	    	<a href="#" rel="checkbtn7" class="aq-sortable-add-new button">Add New Btn</a>
	    <p></p>
    </div>
    
	<?php
	}
	function shortbtn($shortbtn = array(), $count = 0) {

?>
	<li id="sortable-shortbtn-<?php echo $count ?>" class="sortable-item" rel="<?php echo $count ?>">
		<div class="sortable-head cf">
			<div class="sortable-title">
				<strong><?php echo $shortbtn['title'] ?></strong>
			</div>
			<div class="sortable-handle">
				<a href="#">Open / Close</a>
			</div>
		</div>
	<div class="sortable-body">
	<div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-title">
			Title<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-title" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][title]" value="<?php echo $shortbtn['title'] ?>" />
		</label>
	</div>
    <div class="tab-desc description half">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-link">
			Your Link<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-link" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][link]" value="<?php echo $shortbtn['link'] ?>" />
		</label>
	</div>
    <div class="tab-desc description half last">
      <label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon">
       Icon class <br/><code>Ex: globe</code><a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/"> view more icon </a><br/>
       <input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][icon]" value="<?php echo $shortbtn['icon'] ?>" />
      </label>
    </div>
	<p class="tab-desc description"><a href="#" class="sortable-delete">Delete</a></p>
	</div>
	</li>

  <?php  
    }
		
    function add_checkbtn_btn() {
		$nonce = $_POST['security'];	
		if (! wp_verify_nonce($nonce, 'aqpb-settings-page-nonce') ) die('-1');
		
		$count = isset($_POST['count']) ? absint($_POST['count']) : false;
		$this->block_id = isset($_POST['block_id']) ? $_POST['block_id'] : 'aq-block-9999';
		
		//default key/value for the testimonial
		$shortbtn = array(
			'title' => 'New Follow Us',
            'icon' => '',
            'link' => '',           
		);
		
		if($count) {
			$this->shortbtn($shortbtn, $count);
		} else {
			die(-1);
		}
		
		die();
		}
	function block($instance) {
	extract($instance);
    ?>
    <div class="chevron-bottom"></div>
	   <section id="g-footer" class="footer invert-text">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-sm-6 text-right">
                    <h3 class="no-margin-btm"><?php echo $title1; ?></h3>
                    <div class="row">
                        <div class="col-lg-6 col-lg-offset-6">
                            <div class="separator-theme-color"></div>
                        </div>
                    </div>
                    <p><?php echo $desc; ?></p>
                    <a href="<?php echo $textlink; ?>" class="btn btn-primary btn-sm"><?php echo $button; ?></a>
                </div>
                <div class="col-lg-6 col-sm-6">
                    <h3 class="no-margin-btm"><?php echo $title2; ?></h3>
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="separator-dark-color"></div>
                        </div>
                    </div>
                    <ul class="follow-us">
                    <?php if(!empty($shortbtns)){
                            foreach($shortbtns as $shortbtn){
                                if($shortbtn['icon'] != ''){
                        ?>
                        <li>
                            <a href="<?php echo $shortbtn['link']; ?>">
                                <div class="follow-title"><?php echo $shortbtn['title']; ?></div>
                                <div class="follow-icon">
                                    <i class="fa <?php echo $shortbtn['icon']; ?>"></i>
                                </div>
                            </a>
                        </li>
                    <?php        }
                             }
                        }
                    ?>       
                    </ul>
                </div>
            </div>
        </div>

    </section>
    <?php 
    }
	
	/* AJAX add testimonial */
	
	function update($new_instance, $old_instance) {
		$new_instance = aq_recursive_sanitize($new_instance);
		return $new_instance;
	}
}
}