<?php
/* List Block */
if(!class_exists('ST_Subscription_Block')) {
class ST_Subscription_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
		'name' => '<i class="fa fa-cogs"></i> Subscribe Form',
		'size' => 'col-md-12',
	);
	
	//create the widget
	parent::__construct('st_subscription_block', $block_options);
	
	//add ajax functions
	
	}
	
   function form($instance){
    $args = array (
			'nopaging' => true,
			'post_type' => 'wpcf7_contact_form',
			'status' => 'publish',
		);
		$contacts = get_posts($args);
		
    	$contact_options = array(); $default_contact = '';
		foreach ($contacts as $contact) {
			$default_contact = empty($default_contact) ? $contact->ID : $default_contact;
			$contact_options[$contact->ID] = htmlspecialchars($contact->post_title);
		}
        $defaults = array(
            'title' => '', 
			'subtitle' =>'',
              
            'contact' => $default_contact,    
           
        );
        $instance = wp_parse_args($instance, $defaults);
        extract($instance);
	?>
    <h3 style="text-align: center;">Contact Form</h3>
    <div class="description half">
        <label for="<?php echo $this->get_field_id('title') ?>">
        Title <br/><em style="font-size: 0.8em;">(Please enter title contact form)</em><br/>
        <?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
        </label>
    </div>
    <div class="description half last">
		<label for="">
			Choose contact form<br/><em style="font-size: 0.8em;">(Chosen form in Contact Form 7)</em><br/>
			<?php echo aq_field_select('contact', $block_id, $contact_options, $contact); ?>
		</label>
	</div>
    <div class="cf"></div>
	<div class="description">
        <label for="<?php echo $this->get_field_id('subtitle') ?>">
        Subtitle <br/><em style="font-size: 0.8em;">(Please enter sub title contact form)</em><br/>
        <?php echo aq_field_textarea('subtitle', $block_id, $subtitle, $size = 'full') ?>
        </label>
    </div>
    <div class="cf"></div>
  <?php  
    
	}
    function block($instance){
    extract($instance);
    $title = (!empty($title) ? ''.esc_attr($title) : ''); 
    $subtitle = (!empty($subtitle) ? ''.esc_attr($subtitle) : ''); 
	?>
    
     
        <section id="g-subscribe">
			<div class="container">
				<h1 class="main-title"><span><?php echo htmlspecialchars_decode($title);?></span></h1>
				<p class="main-title-description"><?php echo htmlspecialchars_decode($subtitle);?></p>
				<div class="row">
					<div class="col-lg-6 col-lg-offset-3 col-sm-10 col-sm-offset-1 col-xs-10 col-xs-offset-1">
					   
					   <?php echo do_shortcode('[contact-form-7 id="'.$contact.'" title="Contact form"]');?> 
					 
					</div>
				</div>
			</div>	
        </section>
	<?php	    }

		
		function update($new_instance, $old_instance) {
			$new_instance = aq_recursive_sanitize($new_instance);
			return $new_instance;
		}
}
}