<?php
/**
 * The template for displaying Category pages
 */
 $textdoimain = 'goddess';
get_header(); ?>

<!-- CONTENT -->
    
	<section>
		<div class="container">
			<h1 class="main-title"><span><?php printf( __( 'Category Archives: %s', '$textdoimain' ), single_cat_title( '', false ) ); ?></span></h1>
			<?php
					// Show an optional term description.
					$term_description = term_description();
					if ( ! empty( $term_description ) ) :
						printf( '<p class="main-title-description">%s</p>', $term_description );
					endif;
				?>
			<div class="row">
				<div class="col-lg-8 col-md-12 col-sm-12">
					<!-- Start Post -->
					<?php 
				
					$j=0;
                        while (have_posts()) : the_post(); 
                      $j++; ?>
					 
					<div class="topic-body">
						<h1 class="topic-title">
							<span><?php the_title();?></span>
							<div class="topic-title-date"><?php the_time('j F, Y');?></div>
						</h1>
						<ul class="topic-meta">
							<li class="topic-meta-author">Posted by <?php the_author_posts_link(); ?></li>
							<li class="topic-meta-category">Category: <?php 
										// Show all category for post
										$i = 1; foreach((get_the_category()) as $category) { 
										if ($i == 1){echo ''; }else {echo ' , ';}
										    echo '<a href="'.get_category_link($category->cat_ID).'">'.$category->category_nicename . ' '.'</a>'; 
										    
										    $i++;
										} ?></li>
							<li class="topic-meta-comments">Comments: <?php comments_popup_link(__(' 0 comment', $textdoimain), __(' 1 comment', $textdoimain), ' % comments'.__('', $textdoimain)); ?></li>
						</ul>
						<?php $format = get_post_format($post->ID); ?>
	                    <?php if ($format == ( 'video' )) { 
	                       $type = get_post_meta(get_the_ID(),'_cmb_type_video', true);
                          
                           ?>
						<div class="topic-media">
							<div class="video-wrapper">
                                <iframe src="<?php echo get_post_meta(get_the_ID(),'_cmb_link_video', true);?>?color=e84700&amp;portrait=0&amp;autoplay=0&amp;loop=1" width="100%" height="346" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
							</div>
						</div>
						<?php }elseif($format == 'audio'){ ?>
                        <div class="topic-media">
							<div class="video-wrapper">
								<iframe width="100%" height="166" scrolling="no" frameborder="no" src="<?php echo get_post_meta(get_the_ID(), "_cmb_link_audio", true);?>&amp;color=ff5500&amp;auto_play=false&amp;hide_related=false&amp;show_artwork=true"></iframe>
							</div>
						</div>
                         <?php }elseif($format=='quote'){?>
                        <div class="topic-media">
                            <div class="quote-post">
                                <blockquote class="quote-full">
                                    <div class="quote-text">
                                        <?php echo get_post_meta(get_the_ID(), "_cmb_content_quote", true);?>
                                    </div>
                                    <span><?php echo get_post_meta(get_the_ID(), "_cmb_author_quote", true);?></span>
                                </blockquote>
                            </div>
                         </div> 
                        <?php }elseif ($format == 'gallery') { ?>
						<div class="topic-media">
							<div id="carousel-topic<?php echo $j; ?>" class="carousel slide" data-ride="carousel">
								<ol class="carousel-indicators carousel-indicators-fixed">
									<?php $gallery = get_post_gallery( get_the_ID(), false );
									      $gallery_ids = $gallery['ids'];
									      $img_ids = explode(",",$gallery_ids);
										  $i=0;
										if(isset($gallery['ids'])){  	
									        foreach( $img_ids AS $img_id ){
									        $image_src = wp_get_attachment_image_src($img_id,''); 
											$i++;		
									        ?>
									<li data-target="#carousel-topic<?php echo $j; ?>" data-slide-to="<?php echo $i-1; ?>" class="<?php if($i==1){echo 'active';} ?>"></li>
									<?php 
								            }
										}
									      ?>
								</ol>
								<div class="carousel-inner">
									<?php $gallery = get_post_gallery( get_the_ID(), false );
									      $gallery_ids = $gallery['ids'];
									      $img_ids = explode(",",$gallery_ids);
										  $i=0;
										if(isset($gallery['ids'])){  	
									        foreach( $img_ids AS $img_id ){
									        $image_src = wp_get_attachment_image_src($img_id,''); 
											$i++;		
									        ?>
												<div class="item <?php if($i==1){echo 'active';} ?>">
												<?php $params = array( 'width' => 940, 'height' => 435 );
													$image = bfi_thumb( $image_src[0], $params ); ?>
												<img alt="<?php the_title(); ?>" src="<?php echo $image; ?>" height="435" width="940"/>													
												</div>   
											<?php 
								            }
										}
									      ?>								
								</div>
							</div>
						</div>
						<?php }else { ?>
							<?php if ( has_post_thumbnail() ) { ?>
								<div class="topic-media">
									<?php $params = array( 'width' => 940, 'height' => 435 );
										$image = bfi_thumb( wp_get_attachment_url(get_post_thumbnail_id()), $params ); ?>
									<img alt="<?php the_title(); ?>" class="img-responsive" src="<?php echo $image; ?>" height="435" width="940"/>
								</div>
							<?php }?>
						<?php } ?>
						<p><?php echo goddess_excerpt(); ?></p>
						<a href="<?php the_permalink(); ?>" class="btn btn-default"><?php global $theme_option; echo $theme_option['read_more']; ?></a>
					</div>
					<?php endwhile;?> 
					
					<div class="topics-pagination">
						<div class="btn-inline">
							<?php goddess_pagination();?>
						</div>
					</div>
				</div>
				<div class="col-lg-4 col-md-12 col-sm-12 sidebar">
					<?php get_sidebar(); ?>
				</div>
			</div>
		</div>
	</section>
<div class="chevron-bottom"></div>
<!-- CONTENT -->

<?php
get_footer();
