<?php
$root =dirname(dirname(dirname(dirname(dirname(__FILE__)))));
//echo $root; 
if ( file_exists( $root.'/wp-load.php' ) ) {
    require_once( $root.'/wp-load.php' );
} elseif ( file_exists( $root.'/wp-config.php' ) ) {
    require_once( $root.'/wp-config.php' );
}
header("Content-type: text/css; charset=utf-8");
global $theme_option; 
?>
/* Color Theme - Amethyst /Violet/

color - <?php echo $theme_option['main-color']; ?>

/* 01 MAIN STYLES
****************************************************************************************************/
a {
  color: <?php echo $theme_option['main-color']; ?>;
}
::selection {
  color: #fff;
  background: <?php echo $theme_option['main-color']; ?>;
}
::-moz-selection {
  color: #fff;
  background: <?php echo $theme_option['main-color']; ?>;
}
/* Grid */
.section-description-theme-separator {
  border-top: 1px solid <?php echo $theme_option['main-color']; ?>;
}
/* Typography */
.text-theme-color {
  color: <?php echo $theme_option['main-color']; ?>;
}
/* logo */
.logo span {
  color: <?php echo $theme_option['main-color']; ?>;
}
/* 02 NAVIGATION
****************************************************************************************************/
.gn-menu-wrapper {
  border-top: 1px solid <?php echo $theme_option['main-color']; ?>;
}
/* nav menu */
.gn-menu {
  border-bottom: 5px solid <?php echo $theme_option['main-color']; ?>;
}
.gn-selector {
  background: <?php echo $theme_option['main-color']; ?>;
}
.gn-selector:after,
.gn-selector::after {
  border-left: 10px solid <?php echo $theme_option['main-color']; ?>;
}
input.gn-search {
  color: <?php echo $theme_option['main-color']; ?>;
}
/* icons on navbar */
.icon-nav:hover {
  background: <?php echo $theme_option['main-color']; ?> !important;
  color: #fff;
}
/* placeholder */
.gn-search::-webkit-input-placeholder {
  color: <?php echo $theme_option['main-color']; ?>
}
.gn-search:-moz-placeholder {
  color: <?php echo $theme_option['main-color']; ?>
}
.gn-search::-moz-placeholder {
  color: <?php echo $theme_option['main-color']; ?>
}
.gn-search:-ms-input-placeholder {
  color: <?php echo $theme_option['main-color']; ?>
}
.no-touch .gn-icon-menu i {
  color: <?php echo $theme_option['main-color']; ?>;
}
.no-touch .gn-icon-menu.gn-selected:hover i,
.gn-icon-menu.gn-selected i {
  color: #fff;
}
.no-touch .gn-icon-menu.gn-selected:hover,
.gn-icon-menu.gn-selected  {
  background: <?php echo $theme_option['main-color']; ?>;
  color: #fff;
}

/* 03. CAROUSELS (SLIDERS)
****************************************************************************************************/
.carousel-indicators li {
  border: 1px solid <?php echo $theme_option['main-color']; ?>;
}
.carousel-indicators .active {
  background-color: <?php echo $theme_option['main-color']; ?>;
}
.carousel-control:hover,
.carousel-control:focus {
  color: <?php echo $theme_option['main-color']; ?>;
}
.carousel-caption a:hover {
  color: <?php echo $theme_option['main-color']; ?>;
}
.slider-landing-left-wrapper:hover .slider-landing-left:after {
  border-bottom: 100px solid <?php echo $theme_option['main-color']; ?>;
}
.slider-landing-right-wrapper:hover .slider-landing-right:after {
  border-right: 400px solid <?php echo $theme_option['main-color']; ?>;
}
/* Chevron for landing slider*/
.btn-welcome:hover span {
  background: <?php echo $theme_option['main-color']; ?>;
  border: 1px solid <?php echo $theme_option['main-color']; ?>;
}
/* Video Landing */
.element-landing-left:after {
  border-bottom: 100px solid <?php echo $theme_option['main-color']; ?>;
}
.element-landing-right:after {

  border-right: 400px solid <?php echo $theme_option['main-color']; ?>;
}
/* Video Controls */
.video-controls a:hover {
  background: <?php echo $theme_option['main-color']; ?>;
}
/* Carousel-03 (Clients) */
/* Outside controls */
.outside-controls-for-slider a:hover,
.outside-controls-for-slider a.hover {
  background: <?php echo $theme_option['main-color']; ?>;
}

/* 04 BUTTONS
****************************************************************************************************/
/* Button primary */
.btn-primary {
  background-color: <?php echo $theme_option['main-color']; ?>;
  border-color: <?php echo $theme_option['main-color']; ?>;
}
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.open .dropdown-toggle.btn-primary {
  background-color: <?php echo $theme_option['main-color']; ?>;
  border-color: <?php echo $theme_option['main-color']; ?>;
}
figcaption .btn-primary:hover,
figcaption .btn-primary:focus,
figcaption .btn-primary:active,
figcaption .btn-primary.active {
  color: <?php echo $theme_option['main-color']; ?>;
  background-color: #fff;
  border-color: #fff;
}
.btn-primary.disabled,
.btn-primary[disabled],
fieldset[disabled] .btn-primary,
.btn-primary.disabled:hover,
.btn-primary[disabled]:hover,
fieldset[disabled] .btn-primary:hover,
.btn-primary.disabled:focus,
.btn-primary[disabled]:focus,
fieldset[disabled] .btn-primary:focus,
.btn-primary.disabled:active,
.btn-primary[disabled]:active,
fieldset[disabled] .btn-primary:active,
.btn-primary.disabled.active,
.btn-primary[disabled].active,
fieldset[disabled] .btn-primary.active {
  background-color: <?php echo $theme_option['main-color']; ?>;
  border-color: <?php echo $theme_option['main-color']; ?>;
  opacity: 0.5;
}
.btn-primary .badge {
  color: <?php echo $theme_option['main-color']; ?>;
  background-color: #fff;
}

/* 05 SVG (SVG ANIMATION)
****************************************************************************************************/
/* Common styles */
/* Style for SVG */
.svg-animation svg path {
  fill: <?php echo $theme_option['main-color']; ?>;
}

/* 06 SECTIONS + SVG
****************************************************************************************************/
/* Features */
.hover-listener-for-icons:hover .fa-circle {
  color: <?php echo $theme_option['main-color']; ?>;
}
/* About Us + SVG */
.about-social-icons li {
  color: <?php echo $theme_option['main-color']; ?>;
}
/* About Us. SVG */
.about-social-icons a:hover .fa-inverse {
  color: <?php echo $theme_option['main-color']; ?>;
}
/* Portfolio. SVG */
.portfolio-thumb-svg figcaption a:hover .fa-inverse {
  color: <?php echo $theme_option['main-color']; ?>;
}
/* Portfolio-invert */
.portfolio-thumb-svg-invert svg path {
  fill: #000;
}
.portfolio-thumb-svg-invert .open-image {
  color: <?php echo $theme_option['main-color']; ?>;
}
.portfolio-thumb-svg-invert figcaption a:hover .fa-inverse {
  color: <?php echo $theme_option['main-color']; ?>;
}
/* Pricing tables */
.pricing-title {
  color: <?php echo $theme_option['main-color']; ?>;
}
.pricing-stuff li:before {
  color: <?php echo $theme_option['main-color']; ?>;
}
.pricing-stuff li:hover {
  background: <?php echo $theme_option['main-color']; ?> !important;
}
/* Blog + SVG */
.topic-date {
  color: #fff;
}
/* Blog-invert */
.blog-topic-svg-invert .topic-date {
  border-color: <?php echo $theme_option['main-color']; ?>;
}
.blog-topic-svg-invert svg path {
  fill: #000;
}
/* blog-topic */
.topic-title-date,
.topic-title-comments {
  color: <?php echo $theme_option['main-color']; ?>;
}
/* Contacts */
.nav-tabs-circle > li > a:hover {
  background-color: <?php echo $theme_option['main-color']; ?>;
}
.nav-tabs-circle > li.active > a,
.nav-tabs-circle > li.active > a:hover,
.nav-tabs-circle > li.active > a:focus {
  background-color: <?php echo $theme_option['main-color']; ?>;
}
.gmap-overlay-marker i {
  color: <?php echo $theme_option['main-color']; ?> !important;
}
/* Feedback, Subscribe (Forms) */
.form-control:focus {
  border-color: <?php echo $theme_option['main-color']; ?>;
}
.success-message {
  background: <?php echo $theme_option['main-color']; ?>;
}
.has-error {
  color: <?php echo $theme_option['main-color']; ?>;
}
/* Follow us */
.follow-us li:hover {
  background: <?php echo $theme_option['main-color']; ?>;
}
/* Footer copyrights */
.footer-navigation li a:hover {
  color: <?php echo $theme_option['main-color']; ?>;
}

/* 07 Additional elements
****************************************************************************************************/
/* Separators */
.separator-theme-color {
  background: <?php echo $theme_option['main-color']; ?>;
}

/* Quotes */
.quote-full {
  width: auto;
}

.quote-text:before,
.quote-text:after {
  background: <?php echo $theme_option['main-color']; ?>;
}
/* Tooltip */
.tooltip-inner {
  background-color: <?php echo $theme_option['main-color']; ?>;
}
.tooltip.top .tooltip-arrow {
  border-top-color: <?php echo $theme_option['main-color']; ?>;
}
.tooltip.top-left .tooltip-arrow {
  border-top-color: <?php echo $theme_option['main-color']; ?>;
}
.tooltip.top-right .tooltip-arrow {
  border-top-color: <?php echo $theme_option['main-color']; ?>;
}
.tooltip.right .tooltip-arrow {
  border-right-color: <?php echo $theme_option['main-color']; ?>;
}
.tooltip.left .tooltip-arrow {
  border-left-color: <?php echo $theme_option['main-color']; ?>;
}
.tooltip.bottom .tooltip-arrow {
  border-bottom-color: <?php echo $theme_option['main-color']; ?>;
}
.tooltip.bottom-left .tooltip-arrow {
  border-bottom-color: <?php echo $theme_option['main-color']; ?>;
}
.tooltip.bottom-right .tooltip-arrow {
  border-bottom-color: <?php echo $theme_option['main-color']; ?>;
}
/* Detect mobile button */
.global-mobile-on .detect-mobile {
  background: <?php echo $theme_option['main-color']; ?>;
}
/* revolution navigation */
.tp-bullets.simplebullets.goddess .bullet {
  border: 1px solid <?php echo $theme_option['main-color']; ?>;
}
.tp-bullets.simplebullets.goddess .bullet.selected {
  background: <?php echo $theme_option['main-color']; ?>;
}
/* Blog Section */
.searchForm .btn-search {
  color: <?php echo $theme_option['main-color']; ?>;
}
ul.tagList li {
  background: <?php echo $theme_option['main-color']; ?>;
}
/* Responsive */
@media (max-width: 639px) {
  .carousel-02 .carousel-caption {
    background: <?php echo $theme_option['main-color']; ?>;
  }
}
@media (max-width: 479px) {
  .reply:before {
    background: <?php echo $theme_option['main-color']; ?>;
  }
}
/* Fancybox elements
****************************************************************************************************/
.fancybox-title-float-wrap .child {
  background: <?php echo $theme_option['main-color']; ?>;
}
/*Retina graphics!*/
@media only screen and (-webkit-min-device-pixel-ratio: 1.5),
     only screen and (min--moz-device-pixel-ratio: 1.5),
     only screen and (min-device-pixel-ratio: 1.5){

  #fancybox-loading, .fancybox-close, .fancybox-prev span, .fancybox-next span {
    background-size: 44px 152px; /*The size of the normal image, half the size of the hi-res image*/
  }
}
